# Copyright (c) 2022 Huawei Device Co., Ltd.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

domain: GLOBAL_RESMGR

# resmgr init event

INIT_RESMGR_FAILED:
  __BASE: {type: FAULT, level: CRITICAL, tag: usability, desc: init resourceManager failed}
  BUNDLENAME: {type: STRING, desc: bundle name}
  ERROR_MSG: {type: STRING, desc: error message}

# app behavior event

GET_RES_BY_ID_FAILED:
  __BASE: {type: BEHAVIOR, level: MINOR, tag: app, desc: resmgr get resource by id failed}
  ID: {type: INT32, desc: resource id}
  RESULT: {type: STRING, desc: the resource result}
  ERROR_MSG: {type: STRING, desc: error message}

GET_RES_BY_NAME_FAILED:
  __BASE: {type: BEHAVIOR, level: MINOR, tag: app, desc: resmgr get resource by name failed}
  NAME: {type: STRING, desc: resource name}
  RESULT: {type: STRING, desc: the resource result}
  ERROR_MSG: {type: STRING, desc: error message}

ADD_RES_PATH_FAILED:
  __BASE: {type: BEHAVIOR, level: MINOR, tag: app, desc: ohos add resource path failed}
  PATH: {type: STRING, desc: resource path}
  ERROR_MSG: {type: STRING, desc: error message}
